%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:             jboss-logmanager
Version:          1.2.0
Release:          %mkrel 2
Summary:          JBoss Log Manager
Group:            Development/Java
License:          LGPLv2+
URL:              https://github.com/jboss-logging/jboss-logmanager

# git clone git://github.com/jboss-logging/jboss-logmanager.git
# cd jboss-logmanager/ && git archive --format=tar --prefix=jboss-logmanager-1.2.0.GA/ 1.2.0.GA | xz > jboss-logmanager-1.2.0.GA.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz
Patch0:           %{name}-%{namedversion}-testng.patch

BuildArch:        noarch

BuildRequires:    bsf
BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven

BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
# https://bugzilla.redhat.com/show_bug.cgi?id=725991
# BuildRequires:    testng
# BuildRequires:    maven-surefire-provider-testng
BuildRequires:    qdox
BuildRequires:    jboss-parent

Requires:         jpackage-utils
Requires:         java

%description
This package contains the JBoss Log Manager

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
# https://bugzilla.redhat.com/show_bug.cgi?id=725991
%patch0 -p1

%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-rpmbuild \
  install:install-file \
  -DgroupId=bsf \
  -DartifactId=bsf \
  -Dversion=2.3.0 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath bsf) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-rpmbuild \
  install:install-file \
  -DgroupId=org.apache.maven.plugins \
  -DartifactId=maven-enforcer-plugin \
  -Dversion=1.0.1 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath maven-enforcer/plugin) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

# Skipped tests because of java.lang.NoClassDefFoundError: com/thoughtworks/qdox/model/AbstractInheritableJavaEntity
mvn-rpmbuild \
	-Dmaven.repo.local=$MAVEN_REPO_LOCAL \
	-Dmaven.test.skip=true \
	install javadoc:aggregate

%install
rm -fr %buildroot
# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom

# DEPMAP
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc COPYING.txt

%files javadoc
%{_javadocdir}/%{name}
%doc COPYING.txt



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 355073
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 05 2011 dmorgan <dmorgan> 1.2.0-1.mga2
+ Revision: 131925
- Clean spec file

  + gil <gil>
    - imported package jboss-logmanager

